#include <libmary.h>
#include "maryoled.h"

#include <math.h>
#include <string>

// C++ code for LPC1114(MARY)

void setup(){

	// Initialize UART
	Serial.begin(9600);

	// Initialize MARY-OLED
	oled.reset(LPCXSSP0);	//for LPCXPresso LPC1114 & MAPLE (by MARUTSU elec.)
	//oled.reset();			//for MARY-MB
}

void loop(){

	Serial.println("Hello Mary(LPC1114)!!");
	Serial.println("かしこい日本語表示AT○K");

	Serial.println("アスキー表示");
	Serial.println(0x7A,BYTE);   //0x7A = 'z'

	Serial.println(""); // 改行

	int val=65535;
	Serial.println("2進数表示");
	Serial.println(val,BIN);

	Serial.println(""); // 改行

	Serial.println("8進数表示");
	Serial.println(val,OCT);

	Serial.println(""); // 改行

	Serial.println("10進数表示");
	Serial.println(val,DEC);

	Serial.println(""); // 改行

	Serial.println("16進数表示");
	Serial.println(val,HEX);


	Serial.println("背景描画");
    oled.background(0x001F);	//blue
    oled.foreground(0xFFFF);
    oled.cls();
    oled.fill(0, 51, 128, 53, 0xF800);	//red
    oled.fill(50, 0, 55, 128, 0x07E0);	//green

    oled.locate(0,5);
    oled._putc('M');
    oled.locate(1,5);
    oled._putc('A');
    oled.locate(2,5);
    oled._putc('R');
    oled.locate(3,5);
    oled._putc('Y');

	Serial.println("正弦波描画");
    for (int i=0; i<128; i++) {
        oled.pixel(i, 80 + sin((float)i / 5)* 10, 0x0000);
    }

   /*
	Serial.println("点滅開始");	// LEDがついているP0_7はOLEDのバックライトと共通なので点滅動作はOLEDを外してからしたほうがいいかも
    pinMode(P0_7,OUTPUT);		// LED2 on LPCXpresso
    while(1){					// LPCXpressoのLED2(MARYは緑色LED)が1秒周期で点滅
		delay(500);
		digitalWrite(P0_7,LOW);
		delay(500);
		digitalWrite(P0_7,HIGH);
	}
	*/

	int chreg;
	while (1)
	{
		chreg = Serial.read();
		Serial.write(chreg);		// talk back test.
		Serial.println(millis(),DEC);
	}





}



